Bug 1483382 (php-henrikbjorn-lurker) - Review Request: php-henrikbjorn-lurker - Resource watcher
Summary: Review Request: php-henrikbjorn-lurker - Resource watcher
Keywords:
Status: CLOSED ERRATA
Alias: php-henrikbjorn-lurker
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: drush_v9_tracking
TreeView+ depends on / blocked
 
Reported: 2017-08-21 02:01 UTC by Shawn Iwinski
Modified: 2017-09-30 06:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-15 20:46:32 UTC
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (13.08 KB, text/plain)
2017-08-21 11:53 UTC, Remi Collet
no flags Details
review.txt (7.37 KB, text/plain)
2017-08-21 11:53 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-08-21 02:01:11 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/410da37c1c10b4fd19128e07b8c4e26041b03624/php-henrikbjorn-lurker/php-henrikbjorn-lurker.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-henrikbjorn-lurker-1.2.0-1.fc26.src.rpm

Description:
Resource tracking for PHP. Watch files and/or directories.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-08-21 11:44:51 UTC
Notice: this extension have an optional dependency on the pecl inotify extension, but test suite fails when available

=> https://github.com/flint/Lurker/issues/17

Of course not a blocker for the review (the pecl extension is not available in the repository).

BTW, nice to have test suite fixed.

Do you want me to submit the inotify for review (ready in my repo for a long time) ?

Comment 2 Remi Collet 2017-08-21 11:53:06 UTC
Created attachment 1316223 [details]
phpci.log

phpCompatInfo version 5.0.8 DB version 1.23.0 built Jul 17 2017
     20:33:14 CEST static analyze results

Comment 3 Remi Collet 2017-08-21 11:53:33 UTC
Created attachment 1316224 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1483382
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api

Comment 4 Remi Collet 2017-08-21 11:54:13 UTC
[~]: %check is present and all tests pass.
	Test failure with inotify extension
	(acceptable as not available in the repository)

CHANGELOG.md is outdated (1.0.1 before release)
Please file a bug upstream to update it or drop it.



No Blocker

=== APPROVED ===

Comment 6 Shawn Iwinski 2017-08-21 16:45:16 UTC
> Do you want me to submit the inotify for review (ready in my repo for a long time) ?

Sure

> BTW, nice to have test suite fixed.

I'll work on that when I can if upstream doesn't get to it first.



> CHANGELOG.md is outdated (1.0.1 before release)
> Please file a bug upstream to update it or drop it.

Ack.  I'll submit the issue upstream.

Comment 8 Gwyn Ciesla 2017-08-25 16:45:16 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-henrikbjorn-lurker

Comment 9 Shawn Iwinski 2017-08-30 12:55:34 UTC
>> CHANGELOG.md is outdated (1.0.1 before release)
>> Please file a bug upstream to update it or drop it.
>
>Ack.  I'll submit the issue upstream.

https://github.com/flint/Lurker/issues/28

Comment 10 Fedora Update System 2017-09-01 03:47:27 UTC
php-henrikbjorn-lurker-1.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5250122d5c

Comment 11 Fedora Update System 2017-09-01 03:51:47 UTC
php-henrikbjorn-lurker-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5e4ab8fffd

Comment 12 Fedora Update System 2017-09-01 11:56:19 UTC
php-henrikbjorn-lurker-1.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b6ab3039fc

Comment 13 Fedora Update System 2017-09-03 19:52:57 UTC
php-henrikbjorn-lurker-1.2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9ca2bb166d

Comment 14 Fedora Update System 2017-09-12 00:22:03 UTC
php-henrikbjorn-lurker-1.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-09-12 02:20:12 UTC
php-henrikbjorn-lurker-1.2.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25fb2ae601

Comment 16 Fedora Update System 2017-09-15 20:46:32 UTC
php-henrikbjorn-lurker-1.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-09-15 21:50:57 UTC
php-henrikbjorn-lurker-1.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-09-22 23:22:35 UTC
php-henrikbjorn-lurker-1.2.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-09-30 06:06:58 UTC
php-henrikbjorn-lurker-1.2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.